package ctbrec.recorder.postprocessing;

import java.io.IOException;

import ctbrec.Config;
import ctbrec.Recording;
import ctbrec.recorder.RecordingManager;

public class RemoveKeepFile extends AbstractPostProcessor {

    @Override
    public String getName() {
        return "remove recording, but keep the files";
    }

    @Override
    public boolean postprocess(Recording rec, RecordingManager recordingManager, Config config) throws IOException, InterruptedException {
        recordingManager.remove(rec);
        rec.setMetaDataFile(null);
        return true;
    }
}
